<?php
/*
 * @copyright 2006 M3 Media Services
 * @version $Id:Field.php 4300 2006-02-23 16:38:40Z roh@m3.net $
 * @since 0.3.19 - Feb 10, 2006
 *
 */

require_once MAX_PATH . '/lib/max/Dal/Reporting.php';
require_once MAX_PATH . '/lib/max/DateRange.php';
require_once MAX_PATH . '/lib/max/Admin/Reporting/ZoneScope.php';

/**
 * Abstract data field object, used to supply reports with parameters.
 *
 * Always use the factory method to instantiate fields -- it will create
 * the right subclass for you.
 *
 * @abstract
 */
class Field
{
    var $tabindex;
    var $tabkeeper;

    /**
     * Return a single value based on a $_GET-style array of values
     *
     */
    function getPassableValueFromQueryArray($values, $base_key)
    {
        return $values[$base_key];
    }

    /**
     * Echo HTML representing the appropriate field type
     *
     * @abstract
     */
    function displayField($fields, $key)
    {
        MAX::raiseError('Programmer failure: "displayField" is an abstract method, and must be over-riden.', MAX_ERROR_NOMETHOD);
    }

    function displayExtrasAfterForm($fields, $key)
    {
    }

    function _displayFieldHeader($title)
    {
        echo "<tr><td width='30'>&nbsp;</td>";
        echo "<td width='200'>".$title."</td>";
        echo "<td width='370'>";
    }

    function _displayFieldFooter()
    {
        echo "</td>";
        echo "</tr>";
        echo "<tr><td width='30'><img src='images/spacer.gif' height='1' width='100%'></td>";
        echo "<td colspan='2'><img src='images/break-l.gif' height='1' width='200' vspace='6'></td></tr>";
    }
}

?>