<?php

/*
+---------------------------------------------------------------------------+
| Max Media Manager v0.3                                                    |
| =================                                                         |
|                                                                           |
| Copyright (c) 2003-2006 m3 Media Services Limited                         |
| For contact details, see: http://www.m3.net/                              |
|                                                                           |
| This program is free software; you can redistribute it and/or modify      |
| it under the terms of the GNU General Public License as published by      |
| the Free Software Foundation; either version 2 of the License, or         |
| (at your option) any later version.                                       |
|                                                                           |
| This program is distributed in the hope that it will be useful,           |
| but WITHOUT ANY WARRANTY; without even the implied warranty of            |
| MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
| GNU General Public License for more details.                              |
|                                                                           |
| You should have received a copy of the GNU General Public License         |
| along with this program; if not, write to the Free Software               |
| Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA |
+---------------------------------------------------------------------------+
$Id: Dma.delivery.php 4346 2006-03-06 16:43:19Z andrew@m3.net $
*/

/**
 * @package    MaxPlugins
 * @subpackage DeliveryLimitations
 * @author     Chris Nutting <chris@m3.net>
 */

/**
 * Check to see if this impression contains the valid DMA Code.
 *
 * @param string $data The DMA Code (or comma list of DMA codes) limitation
 * @param string $ad The operator (either '==' or '!=')
 * @return boolean Whether this impression's DMA code passes this limitation's test.
 */
function MAX_checkGeo_Dma($data, $ad)
{
    global $geoInfo;
    if ($geoInfo && $geoInfo['dma_code']) {
        // Evaluate country code
        $expression = ($data == $geoInfo['dma_code'] || in_array($geoInfo['dma_code'], explode(',', $data)));
        $operator   = $ad == '==';
        return ($expression == $operator);
    } else {
        return ($ad != '==');
    }
}

?>
